package com.miyzh.mapper.prod;

import com.miyzh.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * description: UploadExpectionLogDao
 * date: 2020/6/18 12:07
 * author: SZQ
 */
@Mapper
public interface InsDSettlementMapper {

    List<InsHospitalTotalSettlement> queryAllVisitCodeByClinicId(@Param("clinicId") String clinicId);

    List<InsHospitalTotalSettlement> queryAllVisitCodeByClinicIdYesterday(@Param("clinicId") String clinicId);

    List<InsHospitalTotalSettlement> queryAllVisitCodeByClinicIdToday(@Param("clinicId") String clinicId);

    List<InsHospitalTotalSettlement> queryAllVisitCodeByClinicIdAndDays(@Param("clinicId") String clinicId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<InsClinicSettlement> queryAllVisitCodeByClinicIdCli(@Param("clinicId") String clinicId);

    List<InsClinicSettlement> queryAllVisitCodeByClinicIdCliYesterday(@Param("clinicId") String clinicId);

    List<InsClinicSettlement> queryAllVisitCodeByClinicIdCliToday(@Param("clinicId") String clinicId);

    List<InsClinicSettlement> queryAllVisitCodeByClinicIdCliAndDays(@Param("clinicId") String clinicId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<InsDSettlementDetails> queryAllInsDSettlementByVisitCode(InsDSettlementDetails insDSettlementDetails);

    List<InsDSettlementDetails> queryAllInsDSettlementByPrescriptionId(InsDSettlementDetails insDSettlementDetails);

    InsHospitalSign queryInsHospitalSign(@Param("visitCode") String visitCode, @Param("patientId") String patientId, @Param("clinicId") String clinicId);

    InsClinicSign queryInsClinicSign(@Param("visitCode") String visitCode, @Param("patientId") String patientId, @Param("clinicId") String clinicId);

    ClcClinicIns queryClinicIns(@Param("clinicId") String clinicId);

    InsDSettlement queryInsDSettlementList(InsDSettlement insDSettlement);

}
